Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.json
Class JsonNodeExpressionEvaluator

    java.lang.Object
      org.mule.module.json.JsonExpressionEvaluator
          org.mule.module.json.JsonNodeExpressionEvaluator

All Implemented Interfaces:
  ExpressionEvaluator, NamedObject

    public class JsonNodeExpressionEvaluator

extends JsonExpressionEvaluator

An JSON expression evaluator that returns `JsonNode`'s instead of strings. Arrays are still returned as a `List` rather than as an `ArrayNode` to enable splitting using the `AbstractSplitter`

See Also:
  `JsonData`, `JsonExpressionEvaluator`

Field Summary

Fields inherited from class org.mule.module.json.JsonExpressionEvaluator
`logger`

Constructor Summary
`JsonNodeExpressionEvaluator()`

Method Summary
`protected Object` | `extractResultFromNode(org.codehaus.jackson.JsonNode result)`
`String` | `getName()` Gets the name of the object

Methods inherited from class org.mule.module.json.JsonExpressionEvaluator
`evaluate, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JsonNodeExpressionEvaluator

    public JsonNodeExpressionEvaluator()

Method Detail

### extractResultFromNode

    protected Object extractResultFromNode(org.codehaus.jackson.JsonNode result)

  Overrides:
    `extractResultFromNode` in class `JsonExpressionEvaluator`

### getName

    public String getName()

  Description copied from interface: `NamedObject`
  Gets the name of the object

  Specified by:
    `getName` in interface `NamedObject`
  Overrides:
    `getName` in class `JsonExpressionEvaluator`
  Returns:
    the name of the object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.